import 'ds_response_object.dart';

class DSResponseDynamic extends BaseResponse<dynamic> {
  DSResponseDynamic(code, msg, data) : super(code, msg, data);

  factory DSResponseDynamic.fromJson(jsonMap) =>
      $DSResponseDynamicFromJson(jsonMap);

  Map<String, dynamic> toJson() => $DSResponseDynamicToJson(this);
}

DSResponseDynamic $DSResponseDynamicFromJson(Map<String, dynamic> jsonMap) {
  int? code = jsonMap['code'] as int?;
  String? msg = jsonMap['msg'] as String?;
  dynamic data = jsonMap['data'];
  return DSResponseDynamic(code, msg, data);
}

Map<String, dynamic> $DSResponseDynamicToJson(DSResponseDynamic instance) =>
    <String, dynamic>{
      'code': instance.code,
      'msg': instance.msg,
      'data': instance.data,
    };
