import 'ds_response_object.dart';

class DSResponseBool extends BaseResponse<String?> {
  DSResponseBool(code, msg, data) : super(code, msg, data);

  factory DSResponseBool.fromJson(jsonMap) => $DSResponseBoolFromJson(jsonMap);

  Map<String, dynamic> toJson() => $DSResponseBoolToJson(this);
}

DSResponseBool $DSResponseBoolFromJson(Map<String, dynamic> jsonMap) {
  int? code = jsonMap['code'] as int?;
  String? msg = jsonMap['msg'] as String?;
  String? data = '';
  try {
    if(jsonMap['data'] is List && List<dynamic>.from(jsonMap['data']).length<=0){
      data = msg;
    }
  } catch (e) {
  }
  return DSResponseBool(code,msg,data);
}

Map<String, dynamic> $DSResponseBoolToJson(DSResponseBool instance) =>
    <String, dynamic>{
      'code': instance.code,
      'msg': instance.msg,
      'data': instance.data,
    };
