
import 'ds_response_object.dart';

class DSResponseString extends BaseResponse<String?> {
  DSResponseString(code, msg, data) : super(code, msg, data);

  factory DSResponseString.fromJson(jsonMap) => $DSResponseStringFromJson(jsonMap);

  Map<String, dynamic> toJson() => $DSResponseStringToJson(this);
}

DSResponseString $DSResponseStringFromJson(Map<String, dynamic> jsonMap) {
  int? code = jsonMap['code'] as int?;
  String? msg = jsonMap['msg'] as String?;
  String? data = '';
  try {
    if(jsonMap['data'] is List && List<dynamic>.from(jsonMap['data']).length<=0){
      data = msg;
    }
  } catch (e) {
  }
  return DSResponseString(code,msg,data);
}

Map<String, dynamic> $DSResponseStringToJson(DSResponseString instance) =>
    <String, dynamic>{
      'code': instance.code,
      'msg': instance.msg,
      'data': instance.data,
    };
